## python-latexcodec 2.0.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/latexcodec.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/latexcodec.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/latexcodec"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/latexcodec"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-latexcodec 1.0.3

=== debian/changelog ===
python-latexcodec (1.0.3-4) unstable; urgency=medium

  * deb/rules: set discarded http_proxy for sphinx-build (Closes: #830604).

 -- Daniel Stender <stender@debian.org>  Sat, 06 Aug 2016 11:12:19 +0200

python-latexcodec (1.0.3-3) unstable; urgency=medium

  * deb/rules: added -f- to date for reproducible builds (Closes: #824454).

 -- Daniel Stender <stender@debian.org>  Sun, 29 May 2016 18:23:46 +0200

python-latexcodec (1.0.3-2) unstable; urgency=medium

  * deb/control: corrected X-Python3-version.
  * build docs package:
    + added package description in deb/control.
    + added Recommends to module package description in deb/control,
      removed sphinxdoc:Depends.
    + build HTML documentation into docs package in deb/rules.
    + contribute CHANGELOG into both packages in deb/rules.
    + renamed deb/python3-latexcodec.doc-base accordingly, updated
      paths and Document field.
  * build Python2 package:
    + added package description in deb/control.
    + added Python2 package counterparts to build-deps in deb/control.
    + added X-Python-Version in deb/control.
    + added dh_python2 to Debhelper addons to use in deb/rules.
    + extended DEP-8 tests.

 -- Daniel Stender <stender@debian.org>  Tue, 10 May 2016 16:11:44 +0200

python-latexcodec (1.0.3-1) unstable; urgency=medium

  * Initial release (Closes: #801309).

 -- Daniel Stender <stender@debian.org>  Mon, 09 May 2016 14:25:08 +0200

=== debian/control ===
Source: python-latexcodec
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Daniel Stender <stender@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python3-all,
               python-six,
               python3-six,
               python-setuptools,
               python3-setuptools,
               python-nose,
               python3-nose,
               python-sphinx
# build breaks with python3-sphinx
Standards-Version: 3.9.8
Homepage: https://github.com/mcmtroffaes/latexcodec
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-latexcodec.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-latexcodec.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3

Package: python-latexcodec
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Recommends: python-latexcodec-doc
Description: LaTeX lexer and codec library for Python
 latexcodec is a Python library for converting from and into
 LaTeX encoding. It includes a codec module which contains classes
 and functions for LaTeX code translation, and a module for lexing
 LaTeX code, which includes general purpose base classes for
 incremental LaTeX decoders and encoders.
 .
 This package contains the modules for Python2.

Package: python3-latexcodec
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: python-latexcodec-doc
Description: LaTeX lexer and codec library for Python3
 latexcodec is a Python library for converting from and into
 LaTeX encoding. It includes a codec module which contains classes
 and functions for LaTeX code translation, and a module for lexing
 LaTeX code, which includes general purpose base classes for
 incremental LaTeX decoders and encoders.
 .
 This package contains the modules for Python3.

Package: python-latexcodec-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Recommends: python-latexcodec,
            python3-latexcodec
Breaks: python3-latexcodec (= 1.0.3-1)
Description: LaTeX lexer and codec library for Python (docs)
 latexcodec is a Python library for converting from and into
 LaTeX encoding. It includes a codec module which contains classes
 and functions for LaTeX code translation, and a module for lexing
 LaTeX code, which includes general purpose base classes for
 incremental LaTeX decoders and encoders.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=latexcodec

DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u -f- +%F)

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m nose -v" dh_auto_test

override_dh_installdocs:
	dh_installdocs
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -D today_fmt="$(DEBDATE)" -N -bhtml doc/ debian/python-latexcodec-doc/usr/share/doc/python-latexcodec-doc/html/

override_dh_installchangelogs:
	dh_installchangelogs -A CHANGELOG.rst

=== debian/tests/control ===
Tests: python-latexcodec
Depends: python-all, python-six, python-nose

Tests: python3-latexcodec
Depends: python3-all, python3-six, python3-nose

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]+)\.tar\.gz/python-latexcodec-$1.tar.gz/" \
https://github.com/mcmtroffaes/latexcodec/releases (?:.*/)?v?(\d[\d\.]+)\.tar\.gz

## python-latexcodec 1.0.5

=== debian/changelog ===
python-latexcodec (1.0.5-1) unstable; urgency=medium

  * Source tarballs from PyPI
  * Switch from git-dpm to gbp
  * New upstream version 1.0.5
  * Drop the patch queue, no longer required
  * Use secure URI in copyright Format
  * Update Source field to the PyPI URI
  * Downgrade install of -doc package to Suggests
  * Drop Recommends of -doc package
  * Add missing Built-Using metadata
  * Build the docs using the upstream Makefile
  * Build the documentation with Python 3
    - Use the Python 3 version of Sphinx
    - New patch Fix-build-of-docs-with-Python-3.patch
  * Add support for the nodoc build profile
  * Add support for the nocheck build profile
  * Drop superfluous installchangelogs override
  * Bump debhelper version to 10, no changes required
  * Bump standards version to 4.0.0, no changes required
  * Improve the autopkgtest suite
    - Replace individual test scripts by Test-Commands
    - Run tests outside the source tree
    - Run tests for all supported Python versions
  * Adopt the package
    - Add myself to Uploaders
    - Add myself to copyright
    - Remove Daniel Stender from Uploaders (Closes: #840034)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 13 Jul 2017 16:23:07 +0100

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,20 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Daniel Stender <stender@debian.org>
-Build-Depends: debhelper (>= 9),
+Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
+Build-Depends: debhelper (>= 10),
                dh-python,
+               dpkg-dev (>= 1.17.14),
                python-all,
                python3-all,
-               python-six,
-               python3-six,
+               python-six <!nocheck>,
+               python3-six <!nocheck>,
                python-setuptools,
                python3-setuptools,
-               python-nose,
-               python3-nose,
-               python-sphinx
-# build breaks with python3-sphinx
-Standards-Version: 3.9.8
+               python-nose <!nocheck>,
+               python3-nose <!nocheck>,
+               python3-sphinx <!nodoc>
+Standards-Version: 4.0.0
 Homepage: https://github.com/mcmtroffaes/latexcodec
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-latexcodec.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-latexcodec.git
@@ -26,7 +26,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python:Depends}
-Recommends: python-latexcodec-doc
+Suggests: python-latexcodec-doc <!nodoc>
 Description: LaTeX lexer and codec library for Python
  latexcodec is a Python library for converting from and into
  LaTeX encoding. It includes a codec module which contains classes
@@ -40,7 +40,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends}
-Recommends: python-latexcodec-doc
+Suggests: python-latexcodec-doc <!nodoc>
 Description: LaTeX lexer and codec library for Python3
  latexcodec is a Python library for converting from and into
  LaTeX encoding. It includes a codec module which contains classes
@@ -55,9 +55,8 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
-Recommends: python-latexcodec,
-            python3-latexcodec
 Breaks: python3-latexcodec (= 1.0.3-1)
+Built-Using: ${sphinxdoc:Built-Using}
 Description: LaTeX lexer and codec library for Python (docs)
  latexcodec is a Python library for converting from and into
  LaTeX encoding. It includes a codec module which contains classes
@@ -66,3 +65,4 @@
  incremental LaTeX decoders and encoders.
  .
  This package contains the documentation.
+Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=latexcodec

ifneq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
export PYBUILD_DISABLE = test
endif

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C doc clean
endif

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C doc html
endif

## python-latexcodec 1.0.7

=== debian/changelog ===
python-latexcodec (1.0.7-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.0.7
  * Remove Python 2 autopkgtest (Closes: #945261)
  * d/control: Bump Standard-Version to 4.4.1
  * d/control: Mark python-latexcodec-doc like MultiArch foreign
  * Remove patch that is not more applicable on current version.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Tue, 26 Nov 2019 22:48:10 -0300

python-latexcodec (1.0.5-2) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support (Closes: #937878).

 -- Ondřej Nový <onovy@debian.org>  Mon, 09 Sep 2019 09:06:17 +0200

=== debian/control ===
Source: python-latexcodec
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Build-Depends: debhelper-compat (= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python3-all,
               python3-six <!nocheck>,
               python3-setuptools,
               python3-nose <!nocheck>,
               python3-sphinx <!nodoc>
Standards-Version: 4.4.1
Homepage: https://github.com/mcmtroffaes/latexcodec
Vcs-Git: https://salsa.debian.org/python-team/modules/python-latexcodec.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-latexcodec

Package: python3-latexcodec
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-latexcodec-doc <!nodoc>
Description: LaTeX lexer and codec library for Python3
 latexcodec is a Python library for converting from and into
 LaTeX encoding. It includes a codec module which contains classes
 and functions for LaTeX code translation, and a module for lexing
 LaTeX code, which includes general purpose base classes for
 incremental LaTeX decoders and encoders.
 .
 This package contains the modules for Python3.

Package: python-latexcodec-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Breaks: python3-latexcodec (= 1.0.3-1)
Built-Using: ${sphinxdoc:Built-Using}
Description: LaTeX lexer and codec library for Python (docs)
 latexcodec is a Python library for converting from and into
 LaTeX encoding. It includes a codec module which contains classes
 and functions for LaTeX code translation, and a module for lexing
 LaTeX code, which includes general purpose base classes for
 incremental LaTeX decoders and encoders.
 .
 This package contains the documentation.
Build-Profiles: <!nodoc>

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r test "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m nose -v test
 ; done
Depends: python3-all,
         python3-latexcodec,
         python3-nose
Restrictions: allow-stderr

## python-latexcodec 2.0.1

=== debian/changelog ===
python-latexcodec (2.0.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.
    + python-latexcodec-doc: Drop versioned constraint on python3-latexcodec in
      Breaks.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 May 2022 17:11:51 +0100

python-latexcodec (2.0.1-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Dmitry Shachnev ]
  * New upstream release.
    - Compatible with Python 3.9 (closes: #972728, #973032).
  * Add GitLab CI configuration.
  * Switch from nose to pytest for testing.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 27 Oct 2020 21:12:56 +0300

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: python-latexcodec
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
-Build-Depends: debhelper-compat (= 10),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               dpkg-dev (>= 1.17.14),
                python3-all,
+               python3-pytest <!nocheck>,
+               python3-setuptools,
                python3-six <!nocheck>,
-               python3-setuptools,
-               python3-nose <!nocheck>,
                python3-sphinx <!nodoc>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/mcmtroffaes/latexcodec
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-latexcodec.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-latexcodec
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-latexcodec.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-latexcodec
 
 Package: python3-latexcodec
 Architecture: all
@@ -36,7 +35,6 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
-Breaks: python3-latexcodec (= 1.0.3-1)
 Built-Using: ${sphinxdoc:Built-Using}
 Description: LaTeX lexer and codec library for Python (docs)
  latexcodec is a Python library for converting from and into

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 endif
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r test "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v
 ; done
Depends: python3-all,
         python3-latexcodec,
         python3-pytest
Restrictions: allow-stderr

## python-latexcodec 3.0.0

=== debian/changelog ===
python-latexcodec (3.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.0.0
  * remove old dependency on python3-six
  * use dh-sequence-python3

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 09 Mar 2024 11:26:25 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-pytest <!nocheck>,
                python3-setuptools,
-               python3-six <!nocheck>,
                python3-sphinx <!nodoc>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/mcmtroffaes/latexcodec
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-latexcodec.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-latexcodec

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 endif
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/latexcodec/latexcodec@ANY_VERSION@@ARCHIVE_EXT@
